> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoices

> Get all invoices for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/invoicing/invoices
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/invoicing/invoices:
    get:
      tags:
        - Invoicing
      summary: Get invoices
      description: Get all invoices for the authenticated user
      operationId: getInvoices
      parameters:
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
        - name: lastUpdatedDate
          in: header
          description: >-
            Date filter (YYYY-MM-DD) - returns all records updated after the
            specified date. Null returns all data
          schema:
            type: string
          example: '1970-01-01'
        - name: includePayments
          in: query
          description: >-
            Whether payments associated with this invoice should be included in
            the response. Defaults to false.
          schema:
            type: boolean
        - name: status
          in: query
          description: >-
            Status filter - returns all invoices for the specified statuses.
            Null or empty list will default to OPEN, CLOSED, CANCELLED, DRAFT,
            REFUNDED and SCHEDULED.
          schema:
            type: array
            items:
              type: string
              enum:
                - OPEN
                - CLOSED
                - CANCELLED
                - DRAFT
                - REFUNDED
                - SCHEDULED
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TRAX_GET_RESPONSEInvoiceV5PluralGetDTOV5List
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEInvoiceV5PluralGetDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/InvoiceV5PluralGetDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    InvoiceV5PluralGetDTOV5:
      type: object
      properties:
        sendEmail:
          type: boolean
          description: Whether an email of the invoice will be sent to client
        id:
          type: integer
          description: Invoice id of draft invoice to finalize and send
          format: int64
        apiInvoiceId:
          type: string
          description: Id of the invoice record in your DB
          example: '1123144594'
        clientId:
          type: integer
          description: Client id for this invoice
          format: int64
        date:
          type: string
          description: The creation date of the invoice
          format: date
        name:
          type: string
          description: Name of the invoice
        invoiceNo:
          type: integer
          description: Invoice number
          format: int32
        invoicePrefix:
          type: string
          description: The prefix of the `name` of the invoice
        totalAmount:
          type: number
          description: The total amount of the invoice
        discountAmount:
          type: number
          description: >-
            The total dollar amount to be discounted (you can provide a
            discountAmount or a discountPercent, but not both, as it affects the
            format of the invoice)
          example: 30
        discountPercent:
          type: number
          description: >-
            The total percent to be discounted (you can provide a discountAmount
            or a discountPercent, but not both, as it affects the format of the
            invoice)
          example: 15
        term:
          type: string
          description: Invoice term for the invoice
          example: DUE_NOW
          enum:
            - DUE_NOW
            - NET_10
            - NET_15
            - NET_30
            - NET_60
            - OTHER
        dueDate:
          type: string
          description: The due date of the invoice
          format: date
        email:
          type: string
          description: The email to send the invoice to
        ccEmails:
          type: array
          description: List of emails to be cc'ed on the invoice email
          items:
            type: string
            description: List of emails to be cc'ed on the invoice email
        bccEmails:
          type: array
          description: List of emails to be cc'ed on the invoice email
          items:
            type: string
            description: List of emails to be cc'ed on the invoice email
        personalNote:
          type: string
          description: An optional personal note to add to the invoice
          example: Thank you for your business.
        frequency:
          type: string
          description: Invoice frequency
          example: ONE_TIME
          enum:
            - ONE_TIME
            - WEEKLY
            - BI_WEEKLY
            - MONTHLY
            - YEARLY
            - AFTER_TWO_MINS
            - ONE_TIME
            - WEEKLY
            - BI_WEEKLY
            - MONTHLY
            - YEARLY
            - AFTER_TWO_MINS
        status:
          type: string
          description: Status of the invoice
          enum:
            - OPEN
            - CLOSED
            - CANCELLED
            - DRAFT
            - REFUNDED
            - SCHEDULED
        emailStatus:
          type: string
          description: Status of the email of the invoice
          enum:
            - SUCCESS
            - FAILURE_TOKEN_INVALIDATED
            - FAILURE_TOKEN_POSSIBLY_EXPIRED
            - FAILURE_INVOICE_NOT_FOUND
            - FAILURE_OTHER
            - SENDING
            - NOT_SENT
            - FAILURE_BOUNCED
            - WARNING_AUTO_RESPONSE
        sentDate:
          type: string
          description: Date the invoice was sent
          format: date
        lastViewedDate:
          type: string
          description: The last date the client viewed the invoice
          format: date
        reminderSchedule:
          type: array
          description: List of payment reminder frequencies for this invoice
          example: ON_DUE_DATE
          items:
            type: string
            description: List of payment reminder frequencies for this invoice
            example: ON_DUE_DATE
            enum:
              - ON_DUE_DATE
              - THREE_DAYS_AFTER_DUE_DATE
              - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
              - AFTER_TWO_MINS
              - ON_DUE_DATE
              - THREE_DAYS_AFTER_DUE_DATE
              - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
              - AFTER_TWO_MINS
          enum:
            - ON_DUE_DATE
            - THREE_DAYS_AFTER_DUE_DATE
            - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
            - AFTER_TWO_MINS
        lastCreatedRecurringInvoice:
          type: string
          description: Date of the last created recurring invoice
          format: date
        parentId:
          type: integer
          description: Id of parent for recurring invoices
          format: int64
        isRecurringParent:
          type: boolean
          description: Whether this invoice is a recurring parent
        refundStatus:
          type: string
          description: Status of the refund corresponding to this invoice
          enum:
            - PENDING
            - SUCCEEDED
            - FAILED
            - UNKNOWN
        invoicePaymentUrl:
          type: string
          description: URL at which the client can pay this invoice
        emailErrors:
          type: object
          description: Email errors incurred for this invoice
        acceptCash:
          type: boolean
          description: >-
            Whether the client can pay by cash/check. At least one of
            acceptCash, acceptCredit, or acceptACH must be true.
        acceptCredit:
          type: boolean
          description: >-
            Whether the client can pay by debit/credit card. At least one of
            acceptCredit, acceptCash, or acceptACH must be true.
        acceptACH:
          type: boolean
          description: >-
            If set to true, the client can pay by cash/check. At least one of
            acceptCredit or acceptCash or acceptACH must be set to true.
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
        payments:
          type: array
          description: >-
            An array of Invoice Payments associated with this invoice. Only
            populated if `includePayments` is set to true.
          items:
            $ref: '#/components/schemas/PaymentDTOV5'
        balance:
          type: number
          description: >-
            Remaining balance left to be paid on the invoice. Only populated if
            `includePayments` is set to true.
        amountPaid:
          type: number
          description: >-
            The total amount of payments on the invoice. Only populated if
            `includePayments` is set to true.
        pendingAmountPaid:
          type: number
          description: >-
            The total amount of pending payments on the invoice. Only populated
            if `includePayments` is set to true.
        apiName:
          type: string
          description: Name of the API from which this invoice originated
          example: USER_ENTRY
          enum:
            - USER_ENTRY
            - QBO
            - XERO
            - PARTNER_IMPLEMENTATION
        v6Id:
          type: string
          description: Id of the v6 invoice entity
          example: inv_1123144594
    PaymentDTOV5:
      required:
        - bankAccountId
        - invoiceId
      type: object
      properties:
        id:
          type: integer
          description: Id of the payment, required when updating an existing payment
          format: int64
        invoiceId:
          type: integer
          description: Id of the invoice to pay
          format: int64
        bankTransferId:
          type: integer
          description: >-
            Id of the bank transfer (bank deposit) that this payment was
            reconciled against
          format: int64
          readOnly: true
        apiName:
          type: string
          description: Name of the API that this payment originated from
          example: STRIPE
          enum:
            - THIRD_PARTY_PAYMENTS
            - STRIPE
            - USER_ENTRY
            - PARTNER_IMPLEMENTATION
            - ADYEN
            - PAYABLI
        apiPaymentId:
          type: string
          description: Id of the payment in your DB (or from your payment processor)
          example: pi_3KX9F5KkMq1CsF5K00DChQgZ
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
          readOnly: true
        apiAccountName:
          type: string
          description: Display name for the bank account from which this income originated
          readOnly: true
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which this transaction originated
          readOnly: true
        bankAccountId:
          type: integer
          description: id of the user's bank account
          format: int64
          readOnly: true
        bankDescription:
          type: string
          description: >-
            Transaction description, similar to what will show on the user's
            bank statement
        grossPaymentAmount:
          type: number
          description: >-
            The total amount to apply to the invoice, required for third-party
            payments 
          example: 300
        feePaymentAmount:
          type: number
          description: >-
            The service fee to process the payment (subtracted out of the
            grossPaymentAmount)
          example: 9
        amountApplied:
          type: number
          description: Total amount applied towards the invoice
          readOnly: true
          example: 50.01
        paymentSource:
          type: string
          description: Display name for the payment
          example: Visa *4747 Charge
        date:
          type: string
          description: Date of the payment
          format: date
          example: '2021-01-04'
        status:
          type: string
          description: Status of the payment, required for third-party payments
          enum:
            - PROCESSED
            - CANCELED
            - REFUNDED
            - PENDING
            - FAILED
            - INACTIVE
            - PENDING
            - PROCESSED
            - CANCELED
            - REFUNDED
            - FAILED
            - INACTIVE
        reviewStatus:
          type: string
          description: Review status of the expense
          enum:
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
            - RECONCILIATION_AWAITING
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
        receiptUrl:
          type: string
          description: Url at which the receipt can be accessed
        errorMessage:
          type: string
          description: >-
            Further detail or reasoning describing the status of the payment for
            FAILED, CANCELLED, REFUNDED, or INACTIVE invoices
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
        v6EntityId:
          type: string
          description: Entity id on the v6 API for this payment
      description: >-
        An array of Invoice Payments associated with this invoice. Only
        populated if `includePayments` is set to true.
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````